#!/usr/bin/perl -w
if (scalar(@ARGV) > 0 && $ARGV[0] eq "-h") {
	print("command usage:\n");
	print("daemon.pl [<port> | <low port>-<high port>]\n");
	exit 0;
}
$user = `whoami`;
chomp($user); 
if ($user ne "root") {
	print("To run the server daemon, you must be root\n");
	exit 0;
}
$port = $ARGV[0] || "4035";
$trace = $ENV{DSTORE_TRACING_ON} || "false";
$suffix = $ENV{CLASSPATH};
$dir = $ENV{PWD};
$cp = "$dir";
$cp .= ":$dir/dstore_extra_server.jar";
$cp .= ":$dir/dstore_core.jar";
$cp .= ":$dir/dstore_miners.jar";
$cp .= ":$dir/clientserver.jar";
$cp .= ":$dir/sample_miner.jar";
$cp .= ":$suffix" if $suffix;
$ENV{CLASSPATH} = $cp;
system("java -cp $cp -DA_PLUGIN_PATH=$dir/ -DDSTORE_TRACING_ON=$trace org.eclipse.dstore.core.server.ServerLauncher $port");

